#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>

static char* OfficialName( char* host )
{
   static char official[128];
   struct hostent* hp = gethostbyname( host );
   if( hp )
   {
      strcpy( official, hp->h_name );
      free( hp );
   }
   else
      strcpy( official, host );

   return official;
}

int main( int argc, char* argv[] )
{
   if( argc < 2 ) return -1;
   printf( "%s\n", OfficialName( argv[1] ) );
   return 0;
}
